extends Node3D

const MATADOR := preload("res://Matador.tscn")


func _ready() -> void:
	_spawn.call_deferred()


func _spawn() -> void:
	var count: int = int(DP.f("mat_spawn_count"))
	for i: int in count:
		var m: Node3D = MATADOR.instantiate()
		m.position = Vector3(0.0, 1.0, 0.0)
		get_parent().add_child(m)
